package com.datarecovery.master.data.api.bean;

import androidx.annotation.DrawableRes;

import com.datarecovery.master.R;
import com.google.gson.annotations.SerializedName;

public class PayOptionsBean {
    @SerializedName("id")
    private int id;
    @SerializedName("payMethod")
    private int payMethod;
    @SerializedName("payPlatform")
    private int payPlatform;
    @SerializedName("title")
    private String title;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getPayMethod() {
        return payMethod;
    }

    public void setPayMethod(int payMethod) {
        this.payMethod = payMethod;
    }

    public int getPayPlatform() {
        return payPlatform;
    }

    public void setPayPlatform(int payPlatform) {
        this.payPlatform = payPlatform;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public int getPayWayIcon() {
        if (payPlatform == 1 && payMethod == 2) {
            return R.drawable.icon_wechat_payment;
        } else if (payPlatform == 4 && payMethod == 2) {
            return R.drawable.icon_wechat_scan_payment;
        } else if (payPlatform == 1 && payMethod == 1) {
            return R.drawable.icon_alipay_payment;
        } else if (payPlatform == 4 && payMethod == 1) {
            return R.drawable.icon_alipay_scan_payment;
        }
        return 0;
    }
}
